Bug 479085 - gnuplot crashes on exit if wx terminal is used to plot
gnuplot crashes on exit if wx terminal is used to plot
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-06 17:27 EST by Mark Locascio
Modified: 2014-06-30 07:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 02:31:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
BugBuddy bug report (336.51 KB, text/plain)
2009-01-06 17:27 EST, Mark Locascio
no flags Details
BugBuddy report from compiled version (3.37 KB, text/plain)
2009-01-09 11:09 EST, Mark Locascio
no flags Details
GDB backtrace (3.10 KB, text/plain)
2009-01-09 11:47 EST, Mark Locascio
no flags Details

  None (edit)
Description Mark Locascio 2009-01-06 17:27:32 EST
Created attachment 328325 [details]
BugBuddy bug report

Description of problem:
gnuplot 4.2 patchlevel 3 crashes on exit if wx terminal is used.

If you make a plot then quit (either while the plot is open or after closing it), gnuplot crashes, saying something like "20ad51da-dcab-28ef-2ff7682d-395a0a8c is dumped" and provides the attached bug report from GNOME bugbuddy.

Version-Release number of selected component (if applicable):

How reproducible:
Always with wxt, never with x11 terminal

Steps to Reproduce:
1. Start gnuplot
2. Make any plot with terminal set to wxt
3. Quit gnuplot

Actual results:
Upon quitting,  gnuplot crashes, saying something like "20ad51da-dcab-28ef-2ff7682d-395a0a8c is dumped" and providing the attached bug report from GNOME bugbuddy.

Expected results:
Should quit cleanly

Additional info:
If you start gnuplot and quit immediately without plotting anything, it exits fine. If you change the terminal type to x11 and plot, it exits fine also. It's probably more due to wx than gnuplot.
Comment 1 Mark Locascio 2009-01-06 17:32:15 EST
Forgot to mention, I also get a dialog box titled "Gnuplot-wxt Error" which states: "Failed to join a thread, potential memory leak detected - please restart the program"
Comment 2 Ivana Varekova 2009-01-07 02:53:42 EST
Hello, I have a problem with reproducing this bug - I use the sequence

$ ./gnuplot
gnuplot> set terminal wxt
gnuplot> plot sin(x)
gnuplot> quit

but everything was ok - so please is this right method how to reproduce this bug(I try both versions with/without closing the plot window too) - or am I wrong (perhaps I overlook something)?

Could you please try to reproduce this bug with higher version of gnuplot - 4.2.4 - it is in fc11 now so you can rebuild it yourself for fc10 or I can put you here some version for fc10 (if you prefere it).
Comment 3 Mark Locascio 2009-01-07 10:23:20 EST
On my machine, the default terminal is wxt, so I don't have to set it after starting gnuplot... try setting the GNUTERM environment variable to wxt so that it starts that way and see if that changes anything.

Also, I don't have ImageMagick installed, and the first chunk of the bug report complains about missing "convert." I'm not familiar with the format of bug reports, so I don't know if that means anything.
Comment 4 Ivana Varekova 2009-01-09 08:35:19 EST
Hello, I can't reproduce your problem in both cases with or without ImagMagick package.
Please could you test whether it is not a selinux problem (setenforce) and could you please attach here a backtrace of this bug.
(And if it is possible could you test whether this bug affects recent rawhide version - 4.2.4 ). Thanks.
Comment 5 Mark Locascio 2009-01-09 11:08:46 EST
I compiled the latest source tarball. The default terminal is wxt. If I start gnuplot then immediately quit, it's still ok. If I plot with wxt then try to quit, it crashes, but gives slightly different reports.

First, the terminal output says:

/usr/libexec/<unknown>: No such file or directory.

Rather than the "(garbage) is dumped" message I got before. Also, the bugbuddy report is different. I'll attach that in a minute... I'll figure out how to do a backtrace and attach that soon.
Comment 6 Mark Locascio 2009-01-09 11:09:28 EST
Created attachment 328560 [details]
BugBuddy report from compiled version
Comment 7 Mark Locascio 2009-01-09 11:47:02 EST
Created attachment 328565 [details]
GDB backtrace

I recompiled with the -O0 and -g flags and ran it in GDB. Here's the output.
Comment 8 Ivana Varekova 2009-01-12 06:35:45 EST
Thanks a lot.
Please could you install all debuginfo packages and attach here the backtrace of fc10 gnuplot (without recompilation).
Comment 9 Mark Locascio 2009-01-12 10:42:45 EST
I installed all the debuginfo packages listed in the backtrace I attached before, but in the end it still tells me:

Missing separate debuginfos, use: debuginfo-install libtdb-1.1.1-25.fc10.i386

When I issue that command, yum says:

Could not find debuginfo for main pkg: libtdb-1.1.1-25.fc10.i386

So I'm not sure how to grab that one. If it matters, let me know how to do that, but if not, here's the backtrace after quitting and crashing gnuplot with the debuginfos I could get:

gnuplot> q
[Thread 0xb2ef7b90 (LWP 8551) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb7c1fb90 (LWP 8550)]
0x03233300 in ?? ()
Missing separate debuginfos, use: debuginfo-install libtdb-1.1.1-25.fc10.i386
(gdb) bt
#0  0x03233300 in ?? ()
#1  0x00c715ca in __nptl_deallocate_tsd () at pthread_create.c:154
#2  start_thread (arg=0xb7c1fb90) at pthread_create.c:304
#3  0x00bd204e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Comment 10 Ivana Varekova 2009-04-20 07:39:49 EDT
Hello Guenther, 
is it sufficient to install samba-debuginfo in this case?
Comment 11 Bug Zapper 2009-11-18 07:43:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Bug Zapper 2009-12-18 02:31:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.